From 312a32ad439e00ed1561e5eed7accd3b4527b238 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 9 Jun 2019 16:06:22 +0200
Subject: [PATCH 308/308] gnome-podcasts: rebuild for libressl-2.9.2.

---
 .../gnome-podcasts/patches/fix-build.patch    | 21 +++++++++++++++++++
 srcpkgs/gnome-podcasts/template               |  9 +++-----
 2 files changed, 24 insertions(+), 6 deletions(-)
 create mode 100644 srcpkgs/gnome-podcasts/patches/fix-build.patch

diff --git a/srcpkgs/gnome-podcasts/template b/srcpkgs/gnome-podcasts/template
index 70022d031b3..db8b65310ec 100644
--- a/srcpkgs/gnome-podcasts/template
+++ b/srcpkgs/gnome-podcasts/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-podcasts'
 pkgname=gnome-podcasts
 version=0.4.6
-revision=2
+revision=3
 wrksrc="podcasts-${version}"
 build_style=meson
 hostmakedepends="cargo gettext-devel glib-devel pkg-config"
@@ -15,10 +15,7 @@ distfiles="https://gitlab.gnome.org/World/podcasts/-/archive/${version}/podcasts
 checksum=953c63e8184ca1f748418d8a8262d40eaa41047f81e2d2c874a3035d9d9d0e4a
 nocross="rustc cant be crosscompiled as of now"
 
-export GETTEXT_BIN_DIR=/usr/bin
-export GETTEXT_LIB_DIR="${XBPS_CROSS_BASE}/usr/lib/gettext"
-export GETTEXT_INCLUDE_DIR="${XBPS_CROSS_BASE}/usr/include"
-
 pre_build() {
-	cargo update --package openssl-sys --precise 0.9.39
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
 }
